# 20. التغيير: حذف "Farm"

حذف "المزرعة" المحددة وجميع البيانات المتعلقة بها.

{% hint style="info" %}
إذا كانت "المزرعة" مشتركة من قبل مستخدم آخر، فستقوم العملية بحذف الرابط فقط. ستكون جميع بيانات "المزرعة" الأصلية آمنة.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation DeleteFarm {
  deleteFarm(input: {
    uuid: "<placeholder_of_farm_uuid>"
  }) {
    uuid
    الاسم
    farmOwnership
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/20.-altghyyr-hthf-farm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
